package app18a.listener;

import app18a.util.Config;
import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

public class AppListener implements ServletContextListener {
	public void contextInitialized(ServletContextEvent cse) {
	  try {
  	  Config config = Config.getInstance();
      ServletContext servletContext = cse.getServletContext();  	  
      String dbType = servletContext.getInitParameter("dbType");
  	  config.addKeyValue("dbType", dbType);
	  } 
	  catch (Exception ex) {
	     System.out.println("app16a error: " + ex.getMessage());
	  }
	}

	public void contextDestroyed(ServletContextEvent cse) {
  }
}
